Show / Hide Table of Contents

# Class CommandInfo

##### Inheritance

System.Object
CommandInfo

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Command

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class CommandInfo

### Constructors

#### CommandInfo(CommandInfo.HandlerDelegate)

##### Declaration

    public CommandInfo(CommandInfo.HandlerDelegate handler)

##### Parameters

Type | Name | Description
--- | --- | ---
CommandInfo.HandlerDelegate | handler |

### Properties

#### Handler

##### Declaration

    public CommandInfo.HandlerDelegate Handler { get; }

##### Property Value

Type | Description
--- | ---
CommandInfo.HandlerDelegate |

#### HelpMessage

##### Declaration

    public string HelpMessage { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### ShowInHelp

##### Declaration

    public bool ShowInHelp { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |